
/*
 * version.h -- version identification
 */

/*
 * Version number to insure format of data base matches version of iconc
 *  and rtt.
 */

#define DVersion "8.7.000"

#if COMPILER

/*
 * &version
 */
#define Version	"Icon Compiler Version 8.7.  December 28, 1992"
#else					/* COMPILER */

/*
 *  &version
 */
#ifdef Xver
xver(version.1)
#else					/* Xver */
#define Version	"Icon Interpreter Version 8.7.  December 28, 1992"
#endif					/* Xver */

/*
 * Version numbers to be sure ucode is compatible with the linker
 * and icode is compatible with the run-time system.
 */

#define UVersion "U8.7.002"

#ifdef MultiThread

#if IntBits == 16
#ifdef IconCalling
#define IVersion "I8.7.000+CM/16"
#else					/* IconCalling */
#define IVersion "I8.7.000M/16"
#endif					/* IconCalling */
#endif					/* IntBits == 16 */

#if IntBits == 32
#ifdef IconCalling
#define IVersion "I8.7.000+CM/32"
#else					/* IconCalling */
#define IVersion "I8.7.000M/32"
#endif					/* IconCalling */
#endif					/* IntBits == 32 */

#if IntBits == 64
#ifdef IconCalling
#define IVersion "I8.7.000+CM/64"
#else					/* IconCalling */
#define IVersion "I8.7.002M/64"
#endif					/* IconCalling */
#endif					/* IntBits == 64 */

#else					/* MultiThread */

#if IntBits == 16
#ifdef IconCalling
#define IVersion "I8.7.000+C/16"
#else					/* IconCalling */
#define IVersion "I8.7.000/16"
#endif					/* IconCalling */
#endif					/* IntBits == 16 */

#if IntBits == 32
#ifdef IconCalling
#define IVersion "I8.7.000+C/32"
#else					/* IconCalling */
#define IVersion "I8.7.000/32"
#endif					/* IconCalling */
#endif					/* IntBits == 32 */

#if IntBits == 64
#ifdef IconCalling
#define IVersion "I8.7.000+C/64"
#else					/* IconCalling */
#define IVersion "I8.7.000/64"
#endif					/* IconCalling */
#endif					/* IntBits == 64 */

#endif					/* MultiThread */

#endif					/* COMPILER */

/*
 * Version number for event monitoring.
 */
#define Eversion "8.7.000"
